Index: /branches/HTM-8.2-dev0-Cleanup/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /branches/HTM-8.2-dev0-Cleanup/source/Lib/TLibCommon/TComSlice.cpp	(revision 647)
+++ /branches/HTM-8.2-dev0-Cleanup/source/Lib/TLibCommon/TComSlice.cpp	(revision 648)
@@ -101,32 +101,16 @@
 , m_enableTMVPFlag                ( true )
 #if H_MV
-#if H_MV5
 , m_refPicSetInterLayer0           ( NULL )
 , m_refPicSetInterLayer1           ( NULL )
-#else
-, m_refPicSetInterLayer           ( NULL )
-#endif
 , m_layerId                       (0)
 , m_viewId                        (0)
-#if H_MV5
 , m_viewIndex                     (0)
-#endif
 #if H_3D
-#if !H_MV5
-, m_viewIndex                     (0)
-#endif
 , m_isDepth                       (false)
 #endif
-#if H_MV5
 , m_pocResetFlag                  (false)
-#endif
 , m_discardableFlag               (false)
 , m_interLayerPredEnabledFlag     (false)
 , m_numInterLayerRefPicsMinus1    (0)
-#if !H_MV5
-, m_interLayerSamplePredOnlyFlag  (false)
-, m_altCollocatedIndicationFlag   (0)
-, m_collocatedRefLayerIdx         (0)
-#endif
 #if H_3D_IC
 , m_bApplyIC                      ( false )
@@ -164,9 +148,5 @@
   for (Int i = 0; i < MAX_NUM_LAYERS; i++ )
   {
-#if H_MV5
    m_interLayerPredLayerIdc[ i ] = i;
-#else
-   m_interLayerPredLayerIdc[ i ] = 0;
-#endif
   }
 #endif
@@ -387,5 +367,4 @@
   }
 }
-#if H_MV5
 #if !H_MV
 #if FIX1071
@@ -730,256 +709,20 @@
 }
 #endif
-#else
+Int TComSlice::getNumRpsCurrTempList()
+{
+  Int numRpsCurrTempList = 0;
+
+  if (m_eSliceType == I_SLICE) 
+  {
+    return 0;
+  }
+  for(UInt i=0; i < m_pcRPS->getNumberOfNegativePictures()+ m_pcRPS->getNumberOfPositivePictures() + m_pcRPS->getNumberOfLongtermPictures(); i++)
+  {
+    if(m_pcRPS->getUsed(i))
+    {
+      numRpsCurrTempList++;
+    }
+  }
 #if H_MV
-Void TComSlice::setRefPicList( TComList<TComPic*>& rcListPic, std::vector<TComPic*>& refPicSetInterLayer , Bool checkNumPocTotalCurr)
-#else
-#if FIX1071
-Void TComSlice::setRefPicList( TComList<TComPic*>& rcListPic, Bool checkNumPocTotalCurr )
-#else
-Void TComSlice::setRefPicList( TComList<TComPic*>& rcListPic )
-#endif
-#endif
-{
-#if FIX1071
-  if (!checkNumPocTotalCurr)
-#endif
-  {
-    if (m_eSliceType == I_SLICE)
-    {
-      ::memset( m_apcRefPicList, 0, sizeof (m_apcRefPicList));
-      ::memset( m_aiNumRefIdx,   0, sizeof ( m_aiNumRefIdx ));
-      
-      return;
-    }
-    
-#if !H_MV
-    m_aiNumRefIdx[0] = getNumRefIdx(REF_PIC_LIST_0);
-    m_aiNumRefIdx[1] = getNumRefIdx(REF_PIC_LIST_1);
-#endif
-  }
-
-  TComPic*  pcRefPic= NULL;
-  TComPic*  RefPicSetStCurr0[16];
-  TComPic*  RefPicSetStCurr1[16];
-  TComPic*  RefPicSetLtCurr[16];
-  UInt NumPocStCurr0 = 0;
-  UInt NumPocStCurr1 = 0;
-  UInt NumPocLtCurr = 0;
-  Int i;
-
-  for(i=0; i < m_pcRPS->getNumberOfNegativePictures(); i++)
-  {
-    if(m_pcRPS->getUsed(i))
-    {
-      pcRefPic = xGetRefPic(rcListPic, getPOC()+m_pcRPS->getDeltaPOC(i));
-      pcRefPic->setIsLongTerm(0);
-      pcRefPic->getPicYuvRec()->extendPicBorder();
-      RefPicSetStCurr0[NumPocStCurr0] = pcRefPic;
-      NumPocStCurr0++;
-      pcRefPic->setCheckLTMSBPresent(false);  
-    }
-  }
-  
-  for(; i < m_pcRPS->getNumberOfNegativePictures()+m_pcRPS->getNumberOfPositivePictures(); i++)
-  {
-    if(m_pcRPS->getUsed(i))
-    {
-      pcRefPic = xGetRefPic(rcListPic, getPOC()+m_pcRPS->getDeltaPOC(i));
-      pcRefPic->setIsLongTerm(0);
-      pcRefPic->getPicYuvRec()->extendPicBorder();
-      RefPicSetStCurr1[NumPocStCurr1] = pcRefPic;
-      NumPocStCurr1++;
-      pcRefPic->setCheckLTMSBPresent(false);  
-    }
-  }
-  
-  for(i = m_pcRPS->getNumberOfNegativePictures()+m_pcRPS->getNumberOfPositivePictures()+m_pcRPS->getNumberOfLongtermPictures()-1; i > m_pcRPS->getNumberOfNegativePictures()+m_pcRPS->getNumberOfPositivePictures()-1 ; i--)
-  {
-    if(m_pcRPS->getUsed(i))
-    {
-      pcRefPic = xGetLongTermRefPic(rcListPic, m_pcRPS->getPOC(i), m_pcRPS->getCheckLTMSBPresent(i));
-      pcRefPic->setIsLongTerm(1);
-      pcRefPic->getPicYuvRec()->extendPicBorder();
-      RefPicSetLtCurr[NumPocLtCurr] = pcRefPic;
-      NumPocLtCurr++;
-    }
-    if(pcRefPic==NULL) 
-    {
-      pcRefPic = xGetLongTermRefPic(rcListPic, m_pcRPS->getPOC(i), m_pcRPS->getCheckLTMSBPresent(i));
-    }
-    pcRefPic->setCheckLTMSBPresent(m_pcRPS->getCheckLTMSBPresent(i));  
-  }
-
-  // ref_pic_list_init
-  TComPic*  rpsCurrList0[MAX_NUM_REF+1];
-  TComPic*  rpsCurrList1[MAX_NUM_REF+1];
-#if H_MV
-  Int numPocInterCurr = NumPocStCurr0 + NumPocStCurr1 + NumPocLtCurr; 
-  assert( numPocInterCurr == 0 || getInterRefEnabledInRPLFlag() ); 
-  Int numPocTotalCurr = numPocInterCurr + getNumActiveRefLayerPics( );
-  assert( numPocTotalCurr == getNumRpsCurrTempList() );
-#else
-  Int numPocTotalCurr = NumPocStCurr0 + NumPocStCurr1 + NumPocLtCurr;
-#endif
-#if FIX1071
-  if (checkNumPocTotalCurr)
-  {
-    // The variable NumPocTotalCurr is derived as specified in subclause 7.4.7.2. It is a requirement of bitstream conformance that the following applies to the value of NumPocTotalCurr:
-#if H_MV
-    // ??If nuh_layer_id is equal to 0 and the current picture is a BLA picture or a CRA picture, the value of NumPocTotalCurr shall be equal to 0.
-    // ??Otherwise, when the current picture contains a P or B slice, the value of NumPocTotalCurr shall not be equal to 0.
-    if ( getRapPicFlag() && m_layerId == 0 )
-#else
-    // ??If the current picture is a BLA or CRA picture, the value of NumPocTotalCurr shall be equal to 0.
-    // ??Otherwise, when the current picture contains a P or B slice, the value of NumPocTotalCurr shall not be equal to 0.
-    if (getRapPicFlag())
-#endif
-    {
-      assert(numPocTotalCurr == 0);
-    }
-
-    if (m_eSliceType == I_SLICE)
-    {
-      ::memset( m_apcRefPicList, 0, sizeof (m_apcRefPicList));
-      ::memset( m_aiNumRefIdx,   0, sizeof ( m_aiNumRefIdx ));
-      
-      return;
-    }
-    
-    assert(numPocTotalCurr > 0);
-    
-    m_aiNumRefIdx[0] = getNumRefIdx(REF_PIC_LIST_0);
-    m_aiNumRefIdx[1] = getNumRefIdx(REF_PIC_LIST_1);
-  }
-#endif
-
-  Int cIdx = 0;
-#if H_MV
-  if ( getInterRefEnabledInRPLFlag() )
-  {  
-#endif
-  for ( i=0; i<NumPocStCurr0; i++, cIdx++)
-  {
-    rpsCurrList0[cIdx] = RefPicSetStCurr0[i];
-  }
-  for ( i=0; i<NumPocStCurr1; i++, cIdx++)
-  {
-    rpsCurrList0[cIdx] = RefPicSetStCurr1[i];
-  }
-  for ( i=0; i<NumPocLtCurr;  i++, cIdx++)
-  {
-    rpsCurrList0[cIdx] = RefPicSetLtCurr[i];
-  }
-#if H_MV
-  }
-  for ( i=0; i < getNumActiveRefLayerPics( );  i++, cIdx++)
-    {
-    assert( cIdx < MAX_NUM_REF );    
-      rpsCurrList0[cIdx] = refPicSetInterLayer[i];
-    }
-#endif
-  assert(cIdx == numPocTotalCurr);
-
-  if (m_eSliceType==B_SLICE)
-  {
-    cIdx = 0;
-#if H_MV
-    if ( getInterRefEnabledInRPLFlag() )
-    {  
-#endif
-    for ( i=0; i<NumPocStCurr1; i++, cIdx++)
-    {
-      rpsCurrList1[cIdx] = RefPicSetStCurr1[i];
-    }
-    for ( i=0; i<NumPocStCurr0; i++, cIdx++)
-    {
-      rpsCurrList1[cIdx] = RefPicSetStCurr0[i];
-    }
-    for ( i=0; i<NumPocLtCurr;  i++, cIdx++)
-    {
-      rpsCurrList1[cIdx] = RefPicSetLtCurr[i];
-    }
-#if H_MV
-    }
-    for ( i=0; i < getNumActiveRefLayerPics( );  i++, cIdx++)
-      {
-      assert( cIdx < MAX_NUM_REF );    
-        rpsCurrList1[cIdx] = refPicSetInterLayer[i];
-      }
-#endif
-    assert(cIdx == numPocTotalCurr);
-  }
-
-  ::memset(m_bIsUsedAsLongTerm, 0, sizeof(m_bIsUsedAsLongTerm));
-
-#if H_MV
-  Int numPocSt = NumPocStCurr0 + NumPocStCurr1; 
-  assert(  getInterRefEnabledInRPLFlag( ) || numPocSt == 0 );
-
-  for (Int li = 0; li < 2; li++)
-  {
-    if ( m_eSliceType == P_SLICE && li == 1 )
-    {
-      m_aiNumRefIdx[1] = 0;
-      ::memset( m_apcRefPicList[1], 0, sizeof(m_apcRefPicList[1]));
-    } 
-    else
-    {
-      for (Int rIdx = 0; rIdx <= (m_aiNumRefIdx[ li ] - 1 ); rIdx ++)
-      { 
-        Bool listModified             =                m_RefPicListModification.getRefPicListModificationFlagL( li ); 
-        Int orgIdx                    = listModified ? m_RefPicListModification.getRefPicSetIdxL(li, rIdx) : (rIdx % numPocTotalCurr); 
-
-        m_apcRefPicList    [li][rIdx] = ( li == 0 )  ? rpsCurrList0[ orgIdx  ] : rpsCurrList1[ orgIdx  ];
-        m_bIsUsedAsLongTerm[li][rIdx] = ( orgIdx >= numPocSt ) ; 
-      }
-    }
-  }
-#else
-  for (Int rIdx = 0; rIdx < m_aiNumRefIdx[0]; rIdx ++)
-  {
-    cIdx = m_RefPicListModification.getRefPicListModificationFlagL0() ? m_RefPicListModification.getRefPicSetIdxL0(rIdx) : rIdx % numPocTotalCurr;
-    assert(cIdx >= 0 && cIdx < numPocTotalCurr);
-    m_apcRefPicList[0][rIdx] = rpsCurrList0[ cIdx ];
-    m_bIsUsedAsLongTerm[0][rIdx] = ( cIdx >= NumPocStCurr0 + NumPocStCurr1 );
-  }
-  if ( m_eSliceType != B_SLICE )
-  {
-    m_aiNumRefIdx[1] = 0;
-    ::memset( m_apcRefPicList[1], 0, sizeof(m_apcRefPicList[1]));
-  }
-  else
-  {
-    for (Int rIdx = 0; rIdx < m_aiNumRefIdx[1]; rIdx ++)
-    {
-      cIdx = m_RefPicListModification.getRefPicListModificationFlagL1() ? m_RefPicListModification.getRefPicSetIdxL1(rIdx) : rIdx % numPocTotalCurr;
-      assert(cIdx >= 0 && cIdx < numPocTotalCurr);
-      m_apcRefPicList[1][rIdx] = rpsCurrList1[ cIdx ];
-      m_bIsUsedAsLongTerm[1][rIdx] = ( cIdx >= NumPocStCurr0 + NumPocStCurr1 );
-    }
-  }
-#endif
-}
-
-#endif
-Int TComSlice::getNumRpsCurrTempList()
-{
-  Int numRpsCurrTempList = 0;
-
-  if (m_eSliceType == I_SLICE) 
-  {
-    return 0;
-  }
-  for(UInt i=0; i < m_pcRPS->getNumberOfNegativePictures()+ m_pcRPS->getNumberOfPositivePictures() + m_pcRPS->getNumberOfLongtermPictures(); i++)
-  {
-    if(m_pcRPS->getUsed(i))
-    {
-      numRpsCurrTempList++;
-    }
-  }
-#if H_MV
-#if !H_MV5
-  assert( ( numRpsCurrTempList == 0 ) || getInterRefEnabledInRPLFlag() ); 
-#endif
   numRpsCurrTempList = numRpsCurrTempList + getNumActiveRefLayerPics();
 #endif
@@ -1295,7 +1038,5 @@
 #if H_MV
   // Additional slice header syntax elements 
-#if H_MV5
   m_pocResetFlag               = pSrc->m_pocResetFlag; 
-#endif
   m_discardableFlag            = pSrc->m_discardableFlag; 
   m_interLayerPredEnabledFlag  = pSrc->m_interLayerPredEnabledFlag; 
@@ -1306,15 +1047,4 @@
     m_interLayerPredLayerIdc[ layer ] = pSrc->m_interLayerPredLayerIdc[ layer ]; 
   }
-#if !H_MV5
-  m_interLayerSamplePredOnlyFlag = pSrc->m_interLayerSamplePredOnlyFlag;
-  m_altCollocatedIndicationFlag  = pSrc->m_altCollocatedIndicationFlag ;   
-  m_collocatedRefLayerIdx        = pSrc->m_collocatedRefLayerIdx       ;
-  m_numActiveMotionPredRefLayers = pSrc->m_numActiveMotionPredRefLayers;
-
-  for (Int layer = 0; layer < MAX_NUM_LAYER_IDS; layer++)
-  {    
-    m_interLayerPredLayerIdc[layer] = pSrc->m_interLayerPredLayerIdc[layer];
-  }
-#endif
 #endif
 #if H_3D_IC
@@ -1781,10 +1511,6 @@
 : m_VPSId                     (  0)
 , m_uiMaxTLayers              (  1)
-#if H_MV5
 #if H_MV
 , m_uiMaxLayersMinus1         (  0)
-#else
-, m_uiMaxLayers               (  1)
-#endif
 #else
 , m_uiMaxLayers               (  1)
@@ -1800,8 +1526,6 @@
 , m_hrdOpSetIdx               (NULL)
 , m_cprmsPresentFlag          (NULL)
-#if H_MV5
 #if H_MV
 , m_vpsVUI                 (  NULL )
-#endif
 #endif
 {
@@ -1848,16 +1572,10 @@
 
   m_avcBaseLayerFlag = false;
-#if H_MV5
   m_vpsVuiOffset     = 0; 
-#endif
   m_splittingFlag    = false;
   
   for( Int i = 0; i < MAX_NUM_SCALABILITY_TYPES; i++ )
   {
-#if H_MV5
     m_scalabilityMaskFlag[i] = false;
-#else
-    m_scalabilityMask[i] = false;
-#endif
     m_dimensionIdLen [i]  = -1; 
   }
@@ -1885,12 +1603,8 @@
     m_layerIdInNuh      [i] = ( i == 0 ) ? 0 : -1; 
     m_numDirectRefLayers[i] = 0; 
-#if H_MV5
     m_maxTidIlRefPicPlus1[i] = 7;
     m_vpsRepFormatIdx    [i] = 0; 
     m_repFormat          [i] = NULL; 
     m_viewIdVal          [i] = 0; 
-#else
-    m_maxTidIlRefPicPlus1[i] = -1; 
-#endif
 
 #if H_3D
@@ -1935,7 +1649,5 @@
 #endif
   }
-#if H_MV5
   m_vpsVUI = new TComVPSVUI; 
-#endif
 #if H_3D
   for( Int i = 0; i < MAX_NUM_LAYERS; i++ )
@@ -1963,5 +1675,4 @@
   if( m_hrdOpSetIdx      != NULL )     delete[] m_hrdOpSetIdx;
   if( m_cprmsPresentFlag != NULL )     delete[] m_cprmsPresentFlag;
-#if H_MV5
 #if H_MV
   if ( m_vpsVUI          != NULL )     delete m_vpsVUI; 
@@ -1983,23 +1694,4 @@
 #endif
   }
-#endif
-#else
-#if H_3D_DIM_DLT
-  for( Int i = 0; i < MAX_NUM_LAYERS; i++ )
-  {
-    if ( m_iDepthValue2Idx[i] != 0 ) 
-    {
-       xFree( m_iDepthValue2Idx[i] );
-       m_iDepthValue2Idx[i] = 0; 
-    }
-
-    if ( m_iIdx2DepthValue[i] != 0 ) 
-    {
-      xFree( m_iIdx2DepthValue[i] );
-      m_iIdx2DepthValue[i] = 0; 
-
-    }
-  }
-#endif
 #endif
 }
@@ -2072,9 +1764,5 @@
 Bool TComVPS::checkVPSExtensionSyntax()
 {
-#if H_MV5
   for( Int layer = 1; layer <= getMaxLayersMinus1(); layer++ )
-#else
-  for( Int layer = 1; layer < getMaxLayers(); layer++ )
-#endif
   {
     // check layer_id_in_nuh constraint
@@ -2092,17 +1780,9 @@
 {
   assert( scalType >= 0 && scalType <= MAX_NUM_SCALABILITY_TYPES ); 
-#if H_MV5
   assert( scalType == MAX_NUM_SCALABILITY_TYPES || getScalabilityMaskFlag( scalType ) );
-#else
-  assert( scalType == MAX_NUM_SCALABILITY_TYPES || getScalabilityMask( scalType ) );
-#endif
   Int scalIdx = 0; 
   for( Int curScalType = 0; curScalType < scalType; curScalType++ )
   {
-#if H_MV5
     scalIdx += ( getScalabilityMaskFlag( curScalType ) ? 1 : 0 );
-#else
-    scalIdx += ( getScalabilityMask( curScalType ) ? 1 : 0 );
-#endif
 
   }
@@ -2110,5 +1790,4 @@
   return scalIdx; 
 }
-#if H_MV5
 Void TComVPS::setScalabilityMaskFlag( UInt val )
 {
@@ -2118,14 +1797,5 @@
   }
 }
-#else
-Void TComVPS::setScalabilityMask( UInt val )
-{
-  for ( Int scalType = 0; scalType < MAX_NUM_SCALABILITY_TYPES; scalType++ ) 
-    setScalabilityMask( scalType, ( val & (1 << scalType ) ) != 0 );
-}
-
-#endif
-
-#if H_MV5
+
 Void TComVPS::setRefLayers()
 {
@@ -2176,124 +1846,4 @@
 }
 #endif // H_3D
-#else
-Void TComVPS::setRefLayers()
-{
-  for( Int i = 0; i < MAX_NUM_LAYERS; i++ ) 
-  { 
-    m_numSamplePredRefLayers[ i ] = 0;
-    m_numMotionPredRefLayers[ i ] = 0;
-    m_numDirectRefLayers[ i ] = 0; 
-    for( Int j = 0; j < MAX_NUM_LAYERS; j++ ) {
-      m_samplePredEnabledFlag[ i ][ j ] = 0;
-      m_motionPredEnabledFlag[ i ][ j ] = 0;
-      m_refLayerId[ i ][ j ] = 0;
-      m_samplePredRefLayerId[ i ][ j ] = 0;
-      m_motionPredRefLayerId[ i ][ j ] = 0;
-    }
-  }
-
-  for( Int i = 1; i  <= getMaxLayers()- 1; i++ )
-  {
-    for( Int j = 0; j < i; j++ )
-    {
-      if( getDirectDependencyFlag(i,j) )
-      {
-        m_refLayerId[ i ][m_numDirectRefLayers[ i ]++ ] = getLayerIdInNuh( j );
-
-        m_samplePredEnabledFlag [ i ][ j ]  = ( (   getDirectDependencyType( i , j ) + 1 ) & 1 ) == 1;
-        m_numSamplePredRefLayers[ i ]      += m_samplePredEnabledFlag [ i ][ j ] ? 1 : 0; 
-        m_motionPredEnabledFlag [ i ][ j ]  = ( ( ( getDirectDependencyType( i , j ) + 1 ) & 2 ) >> 1 ) == 1;
-        m_numMotionPredRefLayers[ i ]      += m_motionPredEnabledFlag  [ i][ j ] ? 1 : 0; 
-      }
-    }
-  }
-
-  for( Int i = 1, mIdx = 0, sIdx = 0; i <= getMaxLayers()- 1; i++ )
-  {    
-    for( Int j = 0 ; j < i; j++ )
-    {
-      if( m_motionPredEnabledFlag[ i ][ j ] )
-      {
-        m_motionPredRefLayerId[ i ][ mIdx++ ] = getLayerIdInNuh( j );
-      }
-      
-      if( m_samplePredEnabledFlag[ i ][ j ] )
-      {
-        m_samplePredRefLayerId[ i ][ sIdx++ ] = getLayerIdInNuh( j );
-      }
-    }
-  }
-}
-
-Int TComVPS::getRefLayerId( Int layerIdInVps, Int idx )
-{
-  assert( idx >= 0 && idx < m_numDirectRefLayers[layerIdInVps] );     
-  Int layerIdInNuh = m_refLayerId[ layerIdInVps ][ idx ];    
-  assert ( layerIdInNuh >= 0 ); 
-  return layerIdInNuh;
-}
-
-Int TComVPS::getScalabilityId( Int layerIdInVps, ScalabilityType scalType )
-{
-  return getScalabilityMask( scalType ) ? getDimensionId( layerIdInVps, scalTypeToScalIdx( scalType ) ) : 0;
-}
-
-#if H_3D
-Void TComVPS::initViewIndex()
-{
-  Int viewIdList   [ MAX_NUM_LAYERS ]; // ed. should be changed to MAX_VIEW_ID
-  Int viewIndexList[ MAX_NUM_LAYERS ]; 
-  Int numViewIds = 0; 
-
-  for ( Int i = 0 ; i  <  m_uiMaxLayers; i++ )
-  {     
-    Int currViewId = getViewId( i ); 
-
-    Bool viewIdInListFlag = false; 
-    for ( Int j = 0; j < numViewIds; j ++ )
-    {
-      viewIdInListFlag  = viewIdInListFlag || ( currViewId  == viewIdList[ j ]  );
-    }
-
-    if ( !viewIdInListFlag ) 
-    {
-      viewIdList   [ numViewIds ] = currViewId;
-      viewIndexList[ currViewId ] = numViewIds;
-
-      numViewIds++;
-    }  
-
-    m_viewIndex[ i ] = viewIndexList[ currViewId ]; 
-  }
-}
-
-Int TComVPS::getLayerIdInNuh( Int viewIndex, Bool depthFlag )
-{
-  Int foundlayerId = -1; 
-
-  for (Int layer = 0 ; layer < m_uiMaxLayers; layer++ )
-  {
-    if( ( getViewIndex( layer ) == viewIndex ) && ( getDepthId( layer ) == ( depthFlag ? 1 : 0 ) )  )
-    {
-      foundlayerId = layer; 
-      break; 
-    }
-  }
-  assert( foundlayerId != -1 ); 
-
-  return getLayerIdInNuh( foundlayerId );
-}
-
-#endif // H_3D
-
-Int TComVPS::xCeilLog2( Int val )
-{
-  assert( val > 0 ); 
-  Int ceilLog2 = 0;
-  while( val > ( 1 << ceilLog2 ) ) ceilLog2++;
-  return ceilLog2;
-}
-
-#endif // H_MV5
 
 
@@ -2336,5 +1886,4 @@
   return numLayersInIdList;
 }
-#if H_MV5
 Int TComVPS::getNumViews()
 {
@@ -2366,5 +1915,4 @@
   return dependentFlag;
 }
-#endif
 #endif // H_MV
 
@@ -2417,5 +1965,4 @@
 , m_vuiParameters             ()
 #if H_MV
-#if H_MV5
 , m_pcVPS                     ( NULL )
 , m_spsInferScalingListFlag   ( false )
@@ -2423,8 +1970,4 @@
 , m_updateRepFormatFlag       ( true ) 
 , m_interViewMvVertConstraintFlag (false)
-#else
-, m_interViewMvVertConstraintFlag (false)
-, m_numIlpRestrictedRefLayers ( 0 )
-#endif
 #endif
 #if H_3D
@@ -2441,14 +1984,4 @@
   ::memset(m_ltRefPicPocLsbSps, 0, sizeof(m_ltRefPicPocLsbSps));
   ::memset(m_usedByCurrPicLtSPSFlag, 0, sizeof(m_usedByCurrPicLtSPSFlag));
-#if !H_MV5
-#if H_MV
-  for (Int i = 0; i < MAX_NUM_LAYERS; i++ )
-  {
-    m_minSpatialSegmentOffsetPlus1[ i ] = 0;
-    m_ctuBasedOffsetEnabledFlag   [ i ] = false;
-    m_minHorizontalCtuOffsetPlus1 [ i ] = 0;
-  }
-#endif
-#endif
 }
 
@@ -2603,10 +2136,8 @@
 , m_listsModificationPresentFlag(  0)
 , m_numExtraSliceHeaderBits(0)
-#if H_MV5
 #if H_MV
 , m_ppsInferScalingListFlag(false)
 , m_ppsScalingListRefLayerId(0)
 #endif
-#endif
 {
   m_scalingList = new TComScalingList;
@@ -2628,5 +2159,4 @@
 }
 
-#if H_MV5
 #if H_MV
 Void TComSPS::inferRepFormat( TComVPS* vps, Int layerIdCurr )
@@ -2679,5 +2209,4 @@
   }
 }
-#endif
 #endif
 #if H_3D
@@ -2950,5 +2479,4 @@
 
 #if H_MV
-#if H_MV5
 Void TComSlice::createInterLayerReferencePictureSet( TComPicLists* ivPicLists, std::vector<TComPic*>& refPicSetInterLayer0, std::vector<TComPic*>& refPicSetInterLayer1 )
 {
@@ -2982,27 +2510,5 @@
   }
 }
-#else
-Void TComSlice::createAndApplyIvReferencePictureSet( TComPicLists* ivPicLists, std::vector<TComPic*>& refPicSetInterLayer )
-{
-  refPicSetInterLayer.clear(); 
-
-  for( Int i = 0; i < getNumActiveRefLayerPics(); i++ ) 
-  {
-    Int layerIdRef = getRefPicLayerId( i ); 
-    TComPic* picRef = ivPicLists->getPic( layerIdRef, getPOC() ) ; 
-    assert ( picRef != 0 ); 
-
-    picRef->getPicYuvRec()->extendPicBorder(); 
-    picRef->setIsLongTerm( true );        
-    picRef->getSlice(0)->setReferenced( true );       
-
-    // Consider to check here: 
-    // "If the current picture is a RADL picture, there shall be no entry in the RefPicSetInterLayer that is a RASL picture. "
-    refPicSetInterLayer.push_back( picRef ); 
-  }
-}
-#endif
-
-#if H_MV5
+
 Void TComSlice::markIvRefPicsAsShortTerm( std::vector<TComPic*> refPicSetInterLayer0, std::vector<TComPic*> refPicSetInterLayer1 )
 {
@@ -3019,15 +2525,4 @@
 
 }
-#else
-Void TComSlice::markIvRefPicsAsShortTerm( std::vector<TComPic*> refPicSetInterLayer )
-{
-  // Mark as shortterm 
-  for ( Int i = 0; i < refPicSetInterLayer.size(); i++ ) 
-  {
-    refPicSetInterLayer[i]->setIsLongTerm( false ); 
-  }
-}
-
-#endif
 Void TComSlice::markIvRefPicsAsUnused( TComPicLists* ivPicLists, std::vector<Int> targetDecLayerIdSet, TComVPS* vps, Int curLayerId, Int curPoc )
 {
@@ -3035,9 +2530,5 @@
   if (targetDecLayerIdSet.size() == 0 )    
   {
-#if H_MV5
     for ( Int layerIdInVps = 0; layerIdInVps <= vps->getMaxLayersMinus1(); layerIdInVps++ )
-#else
-    for ( Int layerIdInVps = 0; layerIdInVps < vps->getMaxLayers(); layerIdInVps++ )
-#endif
     {
       targetDecLayerIdSet.push_back( vps->getLayerIdInNuh( layerIdInVps ) ); 
@@ -3068,14 +2559,7 @@
           if ( vps->nuhLayerIdIncluded( targetDecLayerIdSet[ j ] ) )
           {
-#if H_MV5
             for( Int k = 0; k < vpsSlice->getNumDirectRefLayers( targetDecLayerIdSet[ j ] ); k++ )
             {
               if ( targetDecLayerIdSet[ i ] == vpsSlice->getRefLayerId( targetDecLayerIdSet[ j ],  k  ) )
-#else
-            Int targetDecLayerIdinVPS = vpsSlice->getLayerIdInVps( targetDecLayerIdSet[ j ] ); 
-            for( Int k = 0; k < vpsSlice->getNumDirectRefLayers( targetDecLayerIdinVPS ); k++ )
-            {
-              if ( targetDecLayerIdSet[ i ] == vpsSlice->getRefLayerId( targetDecLayerIdinVPS,  k  ) )
-#endif
               {
                 remainingInterLayerReferencesFlag = true;
@@ -3093,9 +2577,5 @@
 }
 
-#if H_MV5
 Void TComSlice::printRefPicList()
-#else
-Void TComSlice::xPrintRefPicList()
-#endif
 {  
   for ( Int li = 0; li < 2; li++)
@@ -3110,13 +2590,4 @@
   }
 }
-#if !H_MV5
-Int TComSlice::xCeilLog2( Int val )
-{
-  assert( val > 0 ); 
-  Int ceilLog2 = 0;
-  while( val > ( 1 << ceilLog2 ) ) ceilLog2++;
-  return ceilLog2;
-}
-#endif
 
 Void TComSlice::markCurrPic( TComPic* currPic )
@@ -3133,5 +2604,4 @@
 }
 
-#if H_MV5
 Void TComSlice::setRefPicSetInterLayer( std::vector<TComPic*>* refPicSetInterLayer0, std::vector<TComPic*>* refPicSetInterLayer1 )
 {
@@ -3158,31 +2628,8 @@
   return pcPic;
 }
-#else
-Void TComSlice::setRefPicSetInterLayer( std::vector<TComPic*>* refPicSetInterLayer )
-{
-  m_refPicSetInterLayer = refPicSetInterLayer; 
-}
-
-TComPic* TComSlice::getPicFromRefPicSetInterLayer( Int layerId )
-{
-  assert( m_refPicSetInterLayer != 0 ); 
-  assert( (*m_refPicSetInterLayer).size() == getNumActiveRefLayerPics() ); 
-  TComPic* pcPic = NULL; 
-  for ( Int i = 0; i < getNumActiveRefLayerPics(); i++ )
-  {
-    if ((*m_refPicSetInterLayer)[ i ]->getLayerId() == layerId)
-    {
-      pcPic = (*m_refPicSetInterLayer)[ i ]; 
-    }
-  }
-  assert(pcPic != NULL); 
-  return pcPic;
-}
-#endif
 Int TComSlice::getNumActiveRefLayerPics()
 {
   Int numActiveRefLayerPics; 
 
-#if H_MV5
   if( getLayerId() == 0 || getVPS()->getNumDirectRefLayers( getLayerId() ) ==  0 )
   {
@@ -3198,11 +2645,4 @@
   }
   else if( getVPS()->getMaxOneActiveRefLayerFlag() || getVPS()->getNumDirectRefLayers( getLayerId() ) == 1 )
-#else
-  if( getLayerId() == 0 || getVPS()->getNumDirectRefLayers( getLayerIdInVps() ) ==  0 || !getInterLayerPredEnabledFlag() )
-  {
-    numActiveRefLayerPics = 0; 
-  }
-  else if( getVPS()->getMaxOneActiveRefLayerFlag() || getVPS()->getNumDirectRefLayers( getLayerIdInVps() ) == 1 )
-#endif
   {
     numActiveRefLayerPics = 1; 
@@ -3217,41 +2657,7 @@
 Int TComSlice::getRefPicLayerId( Int i )
 {
-#if H_MV5
   return getVPS()->getRefLayerId( getLayerId(), getInterLayerPredLayerIdc( i ) );
-#else
-  return getVPS()->getRefLayerId( getLayerIdInVps(), getInterLayerPredLayerIdc( i ) );
-#endif
-}
-
-#if !H_MV5
-Void TComSlice::setActiveMotionPredRefLayers()
-{
-  Int j = 0; 
-  for( Int i = 0; i < getNumActiveRefLayerPics(); i++)
-  {
-    if( getVPS()->getMotionPredEnabledFlag( getLayerIdInVps(), getInterLayerPredLayerIdc( i ))  )
-    {
-      m_activeMotionPredRefLayerId[ j++ ] = getVPS()->getRefLayerId( getLayerIdInVps(), i ); 
-    }
-  }
-  m_numActiveMotionPredRefLayers = j;
-
-  // Consider incorporating bitstream conformance tests on derived variables here.
-}
-
-Bool TComSlice::getInterRefEnabledInRPLFlag()
-{
-  Bool interRefEnabledInRPLFlag; 
-  if ( getVPS()->getNumSamplePredRefLayers( getLayerIdInVps() ) > 0 && getNumActiveRefLayerPics() > 0 )
-  {
-    interRefEnabledInRPLFlag = !getInterLayerSamplePredOnlyFlag(); 
-  }
-  else
-  {
-    interRefEnabledInRPLFlag = 1; 
-  }
-  return interRefEnabledInRPLFlag;
-}
-#endif
+}
+
 #if H_3D_ARP
 Void TComSlice::setARPStepNum()                                  
@@ -3531,5 +2937,4 @@
 }
 
-#if H_MV5
 #if H_MV
 Void TComScalingList::inferFrom( TComScalingList* srcScLi )
@@ -3545,5 +2950,4 @@
   }
 }
-#endif
 #endif
 /** initialization process of quantization matrix array
@@ -3636,5 +3040,4 @@
 , m_ppsMap(MAX_NUM_PPS)
 , m_activeVPSId(-1)
-#if H_MV5
 #if !H_MV
 , m_activeSPSId(-1)
@@ -3649,9 +3052,4 @@
   }
 #endif
-#else
-, m_activeSPSId(-1)
-, m_activePPSId(-1)
-{
-#endif
 }
 
@@ -3663,5 +3061,4 @@
 //! activate a SPS from a active parameter sets SEI message
 //! \returns true, if activation is successful
-#if H_MV5
 #if H_MV
 Bool ParameterSetManager::activateSPSWithSEI(Int spsId, Int layerId )
@@ -3669,7 +3066,4 @@
 Bool ParameterSetManager::activateSPSWithSEI(Int spsId)
 #endif
-#else
-Bool ParameterSetManager::activateSPSWithSEI(Int spsId)
-#endif
 {
   TComSPS *sps = m_spsMap.getPS(spsId);
@@ -3680,7 +3074,4 @@
     {
       m_activeVPSId = vpsId;
-#if !H_MV5
-      m_activeSPSId = spsId;
-#else
 #if H_MV
       m_activeSPSId[ layerId ] = spsId;
@@ -3688,5 +3079,4 @@
       m_activeSPSId = spsId;
 #endif
-#endif
       return true;
     }
@@ -3705,5 +3095,4 @@
 //! activate a PPS and depending on isIDR parameter also SPS and VPS
 //! \returns true, if activation is successful
-#if H_MV5
 #if H_MV
 Bool ParameterSetManager::activatePPS(Int ppsId, Bool isIRAP, Int layerId )
@@ -3742,35 +3131,4 @@
         m_activeSPSId[ layerId ] = spsId;
 #else
-        m_activePPSId = ppsId;
-        m_activeVPSId = vpsId;
-        m_activeSPSId = spsId;
-#endif
-#else
-Bool ParameterSetManager::activatePPS(Int ppsId, Bool isIRAP)
-{
-  TComPPS *pps = m_ppsMap.getPS(ppsId);
-  if (pps)
-  {
-    Int spsId = pps->getSPSId();
-#if H_MV
-    // active parameter sets per layer should be used here
-#else
-    if (!isIRAP && (spsId != m_activeSPSId))
-    {
-      printf("Warning: tried to activate PPS referring to a inactive SPS at non-IRAP.");
-      return false;
-    }
-#endif
-    TComSPS *sps = m_spsMap.getPS(spsId);
-    if (sps)
-    {
-      Int vpsId = sps->getVPSId();
-      if (!isIRAP && (vpsId != m_activeVPSId))
-      {
-        printf("Warning: tried to activate PPS referring to a inactive VPS at non-IRAP.");
-        return false;
-      }
-      if (m_vpsMap.getPS(vpsId))
-      {
         m_activePPSId = ppsId;
         m_activeVPSId = vpsId;
@@ -3828,5 +3186,4 @@
 //! \}
 
-#if H_MV5
 #if H_MV
 TComVPSVUI::TComVPSVUI()
@@ -3861,3 +3218,2 @@
 }
 #endif
-#endif
